function [s_beta accp_beta]=MS_beta(Y, X, s_U, s_beta, prop_std_beta)
% prop_std_beta=10*ones(size(s_beta));
accp_beta=ones(size(s_beta));
K=size(s_beta,1);
for k=1:K
    logpdf_beta=@(x) sum(Y.*log(X.*exp(s_U)*x)-X.*exp(s_U)*x,1);
    p1=logpdf_beta(s_beta);
    s_beta_old=s_beta;
    s_beta(k,:)=abs(s_beta(k,:)+prop_std_beta(k,:).*randn(1,size(s_beta,2)));

    p2=logpdf_beta(s_beta);
    logproppdf_beta=@(x,y) log(normpdf(x,y, prop_std_beta(k,:))+normpdf(x,-y, prop_std_beta(k,:)));
    q12=logproppdf_beta(s_beta_old(k,:), s_beta(k,:));
    q21=logproppdf_beta(s_beta(k,:),s_beta_old(k,:));
    rho=(p2+q21)-(p1+q12);
    RD=log(rand(1,size(s_beta,2)));
    idx=find(RD>rho);
    s_beta(k,idx)=s_beta_old(k,idx);
    accp_beta(k,idx)=0;
end